function RazdvojenBroj(x) {
    return x.toString().replace(/\B(?=(\d{3})+(?!\d))/g, " ");
}

function SpojenBroj(x) {
    return x.toString().replace(/[^\d\.-]/g,'');
}

function ObracunZarade(frm){
	var maksimalnaosnovica	= frm.maksimalnaosnovica.value
	var minimalnaosnovica	= frm.minimalnaosnovica.value
	var poreskooslobodjenje	= frm.poreskooslobodjenje.value
	var poreskaosnovica 	= frm.poreskaosnovica.value
	var porezstopa		= frm.porezstopa.value
	var porez		= 0
	var piostopa1		= frm.piostopa1.value
	var pio1		= 0
	var zdravstvostopa1	= frm.zdravstvostopa1.value
	var zdravstvo1		= 0
	var nezaposlenoststopa1	= frm.nezaposlenoststopa1.value
	var nezaposlenost1	= 0
	var piostopa2		= frm.piostopa2.value
	var pio2		= 0
	var zdravstvostopa2	= frm.zdravstvostopa2.value
	var zdravstvo2		= 0
	var nezaposlenoststopa2	= frm.nezaposlenoststopa2.value
	var nezaposlenost2	= 0
	var brutoplata		= 0
	var netoplata		= frm.netoplata.value
	var bruto2		= 0


	maksimalnaosnovica 	= SpojenBroj (maksimalnaosnovica)
	minimalnaosnovica 	= SpojenBroj (minimalnaosnovica)
	poreskooslobodjenje 	= SpojenBroj (poreskooslobodjenje)
	poreskaosnovica 	= SpojenBroj (poreskaosnovica)
	netoplata	 	= SpojenBroj (netoplata)

	maksimalnaosnovica 	= parseInt(maksimalnaosnovica)
	minimalnaosnovica 	= parseInt(minimalnaosnovica)
	poreskooslobodjenje 	= parseFloat(poreskooslobodjenje)
	porezstopa  		= parseFloat(porezstopa)
	piostopa1		= parseFloat(piostopa1)
	zdravstvostopa1  	= parseFloat(zdravstvostopa1)
	nezaposlenoststopa1 	= parseFloat(nezaposlenoststopa1)

//	alert(porezstopa)
//	alert(piostopa1)
//	alert(zdravstvostopa1)
//	alert(nezaposlenoststopa1)

	brutoplata = (netoplata - poreskooslobodjenje*porezstopa/100)/(((100-(porezstopa+piostopa1+zdravstvostopa1+nezaposlenoststopa1))/100))
	
	poreskaosnovica	= Math.round((brutoplata - poreskooslobodjenje))
	porez			= Math.round((poreskaosnovica * porezstopa)/100)
	pio1 			= Math.round((brutoplata * piostopa1)/100)
	zdravstvo1		= Math.round((brutoplata * zdravstvostopa1)/100)
	nezaposlenost1		= Math.round((brutoplata * nezaposlenoststopa1)/100)
	pio2 			= Math.round((brutoplata * piostopa2)/100)
	zdravstvo2		= Math.round((brutoplata * zdravstvostopa2)/100)
	nezaposlenost2		= Math.round((brutoplata * nezaposlenoststopa2)/100)
	bruto2 = brutoplata + pio2 + zdravstvo2 + nezaposlenost2

	
	if (brutoplata < minimalnaosnovica) {
		brutoplata = (netoplata - (poreskooslobodjenje*porezstopa/100) + (minimalnaosnovica*((piostopa1+zdravstvostopa1+nezaposlenoststopa1)/100)))/(1-(porezstopa/100))
	poreskaosnovica	= Math.round((brutoplata - poreskooslobodjenje))
	porez			= Math.round((poreskaosnovica * porezstopa)/100)
	pio1 			= Math.round((minimalnaosnovica * piostopa1)/100)
	zdravstvo1		= Math.round((minimalnaosnovica * zdravstvostopa1)/100)
	nezaposlenost1	= Math.round((minimalnaosnovica * nezaposlenoststopa1)/100)
	pio2 			= Math.round((minimalnaosnovica * piostopa2)/100)
	zdravstvo2		= Math.round((minimalnaosnovica * zdravstvostopa2)/100)
	nezaposlenost2	= Math.round((minimalnaosnovica * nezaposlenoststopa2)/100)
	bruto2 = brutoplata + pio2 + zdravstvo2 + nezaposlenost2
	}

	if (brutoplata > maksimalnaosnovica) {
		brutoplata = (netoplata - (poreskooslobodjenje*porezstopa/100) + (maksimalnaosnovica*((piostopa1+zdravstvostopa1+nezaposlenoststopa1)/100)))/(1-(porezstopa/100))
	poreskaosnovica	= Math.round((brutoplata - poreskooslobodjenje))
	porez			= Math.round((poreskaosnovica * porezstopa)/100)
	pio1 			= Math.round((maksimalnaosnovica * piostopa1)/100)
	zdravstvo1		= Math.round((maksimalnaosnovica * zdravstvostopa1)/100)
	nezaposlenost1	= Math.round((maksimalnaosnovica * nezaposlenoststopa1)/100)
	pio2 			= Math.round((maksimalnaosnovica * piostopa2)/100)
	zdravstvo2		= Math.round((maksimalnaosnovica * zdravstvostopa2)/100)
	nezaposlenost2	= Math.round((maksimalnaosnovica * nezaposlenoststopa2)/100)
	bruto2 = brutoplata + pio2 + zdravstvo2 + nezaposlenost2
	}

	brutoplata		= Math.round(brutoplata)
	bruto2			= Math.round(bruto2)

	poreskaosnovica 	= RazdvojenBroj (poreskaosnovica)
	porez 			= RazdvojenBroj (porez)
	pio1 			= RazdvojenBroj (pio1)
	zdravstvo1 		= RazdvojenBroj (zdravstvo1)
	nezaposlenost1 		= RazdvojenBroj (nezaposlenost1)
	brutoplata 		= RazdvojenBroj (brutoplata)
	pio2 			= RazdvojenBroj (pio2)
	zdravstvo2 		= RazdvojenBroj (zdravstvo2)
	nezaposlenost2 		= RazdvojenBroj (nezaposlenost2)
	bruto2	 		= RazdvojenBroj (bruto2)
	netoplata 		= RazdvojenBroj (netoplata)


	frm.poreskaosnovica.value	= poreskaosnovica
	frm.porez.value 		= porez
	frm.pio1.value			= pio1
	frm.zdravstvo1.value 		= zdravstvo1
	frm.nezaposlenost1.value 	= nezaposlenost1
	frm.brutoplata.value 		= brutoplata
	frm.pio2.value 			= pio2
	frm.zdravstvo2.value 		= zdravstvo2
	frm.nezaposlenost2.value 	= nezaposlenost2
	frm.bruto2.value 		= bruto2
	frm.netoplata.value 		= netoplata
} 

function ObracunZarade2(frm){
	var maksimalnaosnovica	= frm.maksimalnaosnovica.value
	var minimalnaosnovica	= frm.minimalnaosnovica.value
	var poreskooslobodjenje	= frm.poreskooslobodjenje.value
	var poreskaosnovica2 	= frm.poreskaosnovica2.value
	var porezstopa		= frm.porezstopa.value
	var porez2		= 0
	var piostopa1		= frm.piostopa1.value
	var pio12		= 0
	var zdravstvostopa1	= frm.zdravstvostopa1.value
	var zdravstvo12		= 0
	var nezaposlenoststopa1	= frm.nezaposlenoststopa1.value
	var nezaposlenost12	= 0
	var piostopa2		= frm.piostopa2.value
	var pio22		= 0
	var zdravstvostopa2	= frm.zdravstvostopa2.value
	var zdravstvo22		= 0
	var nezaposlenoststopa2	= frm.nezaposlenoststopa2.value
	var nezaposlenost22	= 0
	var brutoplata2		= frm.brutoplata2.value
	var netoplata2		= 0
	var bruto22		= 0

	maksimalnaosnovica 	= SpojenBroj (maksimalnaosnovica)
	minimalnaosnovica 	= SpojenBroj (minimalnaosnovica)
	poreskooslobodjenje 	= SpojenBroj (poreskooslobodjenje)
	poreskaosnovica 	= SpojenBroj (poreskaosnovica2)
	brutoplata2	 	= SpojenBroj (brutoplata2)


	maksimalnaosnovica 	= parseInt(maksimalnaosnovica)
	minimalnaosnovica 	= parseInt(minimalnaosnovica)
	poreskooslobodjenje    	= parseFloat(poreskooslobodjenje)
	porezstopa  		= parseFloat(porezstopa)
	piostopa1		= parseFloat(piostopa1)
	zdravstvostopa1  	= parseFloat(zdravstvostopa1)
	nezaposlenoststopa1 	= parseFloat(nezaposlenoststopa1)
	brutoplata2		= parseFloat(brutoplata2)

//	brutoplata2 = (netoplata2 - poreskooslobodjenje*porezstopa/100)/(((100-(porezstopa+piostopa1+zdravstvostopa1+nezaposlenoststopa1))/100))

	poreskaosnovica2	= Math.round((brutoplata2 - poreskooslobodjenje))
	porez2			= Math.round((poreskaosnovica2 * porezstopa)/100)
	pio12 			= Math.round((brutoplata2 * piostopa1)/100)
	zdravstvo12		= Math.round((brutoplata2 * zdravstvostopa1)/100)
	nezaposlenost12		= Math.round((brutoplata2 * nezaposlenoststopa1)/100)
	pio22 			= Math.round((brutoplata2 * piostopa2)/100)
	zdravstvo22		= Math.round((brutoplata2 * zdravstvostopa2)/100)
	nezaposlenost22		= Math.round((brutoplata2 * nezaposlenoststopa2)/100)

	brutoplata2		= parseFloat(brutoplata2)
	pio22			= parseFloat(pio22)
	zdravstvo22		= parseFloat(zdravstvo22)
	nezaposlenost22		= parseFloat(nezaposlenost22)
	
	bruto22 = (brutoplata2) + (pio22) + (zdravstvo22) + (nezaposlenost22)
	
	if (brutoplata2 < minimalnaosnovica) {
//		brutoplata = (netoplata - (poreskooslobodjenje*porezstopa/100) + (minimalnaosnovica*((piostopa1+zdravstvostopa1+nezaposlenoststopa1)/100)))/(1-(porezstopa/100))
	poreskaosnovica2= Math.round((brutoplata2 - poreskooslobodjenje))
	porez2			= Math.round((poreskaosnovica2 * porezstopa)/100)
	pio12 			= Math.round((minimalnaosnovica * piostopa1)/100)
	zdravstvo12		= Math.round((minimalnaosnovica * zdravstvostopa1)/100)
	nezaposlenost12	= Math.round((minimalnaosnovica * nezaposlenoststopa1)/100)
	pio22 			= Math.round((minimalnaosnovica * piostopa2)/100)
	zdravstvo22		= Math.round((minimalnaosnovica * zdravstvostopa2)/100)
	nezaposlenost22	= Math.round((minimalnaosnovica * nezaposlenoststopa2)/100)
	bruto22 = brutoplata2 + pio22 + zdravstvo22 + nezaposlenost22
	}

	if (brutoplata2 > maksimalnaosnovica) {
//		brutoplata = (netoplata - (poreskooslobodjenje*porezstopa/100) + (maksimalnaosnovica*((piostopa1+zdravstvostopa1+nezaposlenoststopa1)/100)))/(1-(porezstopa/100))
	poreskaosnovica2= Math.round((brutoplata2 - poreskooslobodjenje))
	porez2			= Math.round((poreskaosnovica2 * porezstopa)/100)
	pio12 			= Math.round((maksimalnaosnovica * piostopa1)/100)
	zdravstvo12		= Math.round((maksimalnaosnovica * zdravstvostopa1)/100)
	nezaposlenost12	= Math.round((maksimalnaosnovica * nezaposlenoststopa1)/100)
	pio22 			= Math.round((maksimalnaosnovica * piostopa2)/100)
	zdravstvo22		= Math.round((maksimalnaosnovica * zdravstvostopa2)/100)
	nezaposlenost22	= Math.round((maksimalnaosnovica * nezaposlenoststopa2)/100)
	bruto22 = brutoplata2 + pio22 + zdravstvo22 + nezaposlenost22
	}

	netoplata2			= brutoplata2 - (porez2 + pio12 + zdravstvo12 + nezaposlenost12)
	netoplata2			= Math.round(netoplata2)
	bruto22				= Math.round(bruto22)

	poreskaosnovica2 	= RazdvojenBroj (poreskaosnovica2)
	porez2 			= RazdvojenBroj (porez2)
	pio12 			= RazdvojenBroj (pio12)
	zdravstvo12 		= RazdvojenBroj (zdravstvo12)
	nezaposlenost12 	= RazdvojenBroj (nezaposlenost12)
	netoplata2 		= RazdvojenBroj (netoplata2)
	pio22 			= RazdvojenBroj (pio22)
	zdravstvo22 		= RazdvojenBroj (zdravstvo22)
	nezaposlenost22 	= RazdvojenBroj (nezaposlenost22)
	bruto22 		= RazdvojenBroj (bruto22)
	brutoplata2		= RazdvojenBroj (brutoplata2)


	frm.poreskaosnovica2.value	= poreskaosnovica2
	frm.porez2.value 		= porez2
	frm.pio12.value			= pio12
	frm.zdravstvo12.value 		= zdravstvo12
	frm.nezaposlenost12.value 	= nezaposlenost12
	frm.netoplata2.value 		= netoplata2
	frm.pio22.value 		= pio22
	frm.zdravstvo22.value 		= zdravstvo22
	frm.nezaposlenost22.value 	= nezaposlenost22
	frm.bruto22.value 		= bruto22
	frm.brutoplata2.value 		= brutoplata2
} 

function ObracunZarade3(frm){
	var maksimalnaosnovica	= frm.maksimalnaosnovica.value
	var minimalnaosnovica	= frm.minimalnaosnovica.value
	var poreskooslobodjenje	= frm.poreskooslobodjenje.value
	var poreskaosnovica3 	= frm.poreskaosnovica3.value
	var porezstopa		= frm.porezstopa.value
	var porez3		= 0
	var piostopa1		= frm.piostopa1.value
	var pio13		= 0
	var zdravstvostopa1	= frm.zdravstvostopa1.value
	var zdravstvo13		= 0
	var nezaposlenoststopa1	= frm.nezaposlenoststopa1.value
	var nezaposlenost13	= 0
	var piostopa2		= frm.piostopa2.value
	var pio23		= 0
	var zdravstvostopa2	= frm.zdravstvostopa2.value
	var zdravstvo23		= 0
	var nezaposlenoststopa2	= frm.nezaposlenoststopa2.value
	var nezaposlenost23	= 0
	var brutoplata3		= 0
	var netoplata3		= 0
	var bruto23		= frm.bruto23.value


	maksimalnaosnovica 	= SpojenBroj (maksimalnaosnovica)
	minimalnaosnovica 	= SpojenBroj (minimalnaosnovica)
	poreskooslobodjenje 	= SpojenBroj (poreskooslobodjenje)
	poreskaosnovica 	= SpojenBroj (poreskaosnovica3)
	bruto23		 	= SpojenBroj (bruto23)


	maksimalnaosnovica 	= parseInt(maksimalnaosnovica)
	minimalnaosnovica 	= parseInt(minimalnaosnovica)
	poreskooslobodjenje 	= parseFloat(poreskooslobodjenje)
	porezstopa  		= parseFloat(porezstopa)
	piostopa1		= parseFloat(piostopa1)
	zdravstvostopa1  	= parseFloat(zdravstvostopa1)
	nezaposlenoststopa1 	= parseFloat(nezaposlenoststopa1)
	piostopa2		= parseFloat(piostopa2)
	zdravstvostopa2  	= parseFloat(zdravstvostopa2)
	nezaposlenoststopa2 	= parseFloat(nezaposlenoststopa2)
	bruto23			= parseFloat(bruto23)

	brutoplata3 = bruto23 / (1 + (piostopa2 + zdravstvostopa2 + nezaposlenoststopa2)/100)
	
	poreskaosnovica3	= Math.round((brutoplata3 - poreskooslobodjenje))
	porez3				= Math.round((poreskaosnovica3 * porezstopa)/100)
	pio13 				= Math.round((brutoplata3 * piostopa1)/100)
	zdravstvo13			= Math.round((brutoplata3 * zdravstvostopa1)/100)
	nezaposlenost13		= Math.round((brutoplata3 * nezaposlenoststopa1)/100)
	pio23 				= Math.round((brutoplata3 * piostopa2)/100)
	zdravstvo23			= Math.round((brutoplata3 * zdravstvostopa2)/100)
	nezaposlenost23		= Math.round((brutoplata3 * nezaposlenoststopa2)/100)

	brutoplata3			= parseFloat(brutoplata3)
	pio23				= parseFloat(pio23)
	zdravstvo23			= parseFloat(zdravstvo23)
	nezaposlenost23		= parseFloat(nezaposlenost23)
	
	brutoplata3			= Math.round(brutoplata3)
	netoplata3			= brutoplata3 - (porez3 + pio13 + zdravstvo13 + nezaposlenost13)
	netoplata3			= Math.round(netoplata3)

	if (brutoplata3 < minimalnaosnovica) {
	brutoplata3 	= bruto23 - (minimalnaosnovica * (piostopa2+zdravstvostopa2+nezaposlenoststopa2)/100)
	poreskaosnovica3= Math.round((brutoplata3 - poreskooslobodjenje))
	porez3			= Math.round((poreskaosnovica3 * porezstopa)/100)
	pio13 			= Math.round((minimalnaosnovica * piostopa1)/100)
	zdravstvo13		= Math.round((minimalnaosnovica * zdravstvostopa1)/100)
	nezaposlenost13	= Math.round((minimalnaosnovica * nezaposlenoststopa1)/100)
	pio23 			= Math.round((minimalnaosnovica * piostopa2)/100)
	zdravstvo23		= Math.round((minimalnaosnovica * zdravstvostopa2)/100)
	nezaposlenost23	= Math.round((minimalnaosnovica * nezaposlenoststopa2)/100)
	brutoplata3		= Math.round(brutoplata3)
	netoplata3		= brutoplata3 - (porez3 + pio13 + zdravstvo13 + nezaposlenost13)

	}

	if (brutoplata3 > maksimalnaosnovica) {
	brutoplata3 	= bruto23 - (maksimalnaosnovica * (piostopa2+zdravstvostopa2+nezaposlenoststopa2)/100)
	poreskaosnovica3= Math.round((brutoplata3 - poreskooslobodjenje))
	porez3			= Math.round((poreskaosnovica3 * porezstopa)/100)
	pio13 			= Math.round((maksimalnaosnovica * piostopa1)/100)
	zdravstvo13		= Math.round((maksimalnaosnovica * zdravstvostopa1)/100)
	nezaposlenost13	= Math.round((maksimalnaosnovica * nezaposlenoststopa1)/100)
	pio23 			= Math.round((maksimalnaosnovica * piostopa2)/100)
	zdravstvo23		= Math.round((maksimalnaosnovica * zdravstvostopa2)/100)
	nezaposlenost23	= Math.round((maksimalnaosnovica * nezaposlenoststopa2)/100)
	brutoplata3		= Math.round(brutoplata3)
	netoplata3		= brutoplata3 - (porez3 + pio13 + zdravstvo13 + nezaposlenost13)
	}

	poreskaosnovica3 	= RazdvojenBroj (poreskaosnovica3)
	porez3 			= RazdvojenBroj (porez3)
	pio13 			= RazdvojenBroj (pio13)
	zdravstvo13 		= RazdvojenBroj (zdravstvo13)
	nezaposlenost13 	= RazdvojenBroj (nezaposlenost13)
	netoplata3 		= RazdvojenBroj (netoplata3)
	pio23 			= RazdvojenBroj (pio23)
	zdravstvo23 		= RazdvojenBroj (zdravstvo23)
	nezaposlenost23 	= RazdvojenBroj (nezaposlenost23)
	brutoplata3 		= RazdvojenBroj (brutoplata3)
	bruto23	 		= RazdvojenBroj (bruto23)

	frm.poreskaosnovica3.value	= poreskaosnovica3
	frm.porez3.value 		= porez3
	frm.pio13.value			= pio13
	frm.zdravstvo13.value 		= zdravstvo13
	frm.nezaposlenost13.value 	= nezaposlenost13
	frm.netoplata3.value 		= netoplata3
	frm.pio23.value 		= pio23
	frm.zdravstvo23.value 		= zdravstvo23
	frm.nezaposlenost23.value 	= nezaposlenost23
	frm.brutoplata3.value 		= brutoplata3
	frm.bruto23.value 		= bruto23

}